@import "src/assets/styles/_for-react-components.scss";

$parent: "react-range";

@include block($parent) {
  position: relative;
  min-width: rem(240);
  height: rem(40);
  cursor: pointer;

  @include min-media('t') {
    height: rem(48);
  }

  @media (hover: hover) {
    &:hover {
      @include element($parent, 'thumb') {
        background-color: var(--color-grey-300);
      }
    }
  }

  @include element($parent, 'inputs') {
    display: flex;
    height: 100%;
    padding: 0;
    border-bottom: 1px solid var(--color-grey-300);

    transition: border-color 0.3s;
  }

  @include element($parent, 'wrapper-input') {
    position: relative;
    display: flex;
    align-items: center;
    width: 50%;
    overflow: hidden;

    @include modifier($parent, 'single') {
      width: auto;

      @include element($parent, 'measurement') {
        width: 100%;
      }
    }

    @include modifier($parent, 'left') {
      justify-content: flex-end;
    }
  }

  @include element($parent, 'input-text') {
    color: var(--color-black);
    background-color: var(--color-grey-500);
  }

  @include element($parent, 'input') {
    margin: 0 2px;
  }

  @include element($parent, 'measurement') {
    color: var(--color-black);
  }

  @include element($parent, "track-outer") {
    z-index: 1;
    position: absolute;
    bottom: rem(-11);
    left: rem(4);
    right: rem(4);
    display: flex;
    width: auto;
    height: rem(22);

    @include min-media('t') {
      bottom: rem(-10);
    }
    @include modifier($parent, 'single') {
      left: 0;
      right: 0;
    }
  }

  @include element($parent, "track-inner") {
    align-self: center;
    width: 100%;
    height: 2px;
  }

  @include element($parent, "thumb") {
    width: rem(12);
    height: rem(12);
    border-radius: 50%;
    background-color: var(--color-grey-500);
    transition: background-color 0.3s ease;
  }
}
